#
# TODO: merge patches (some change the same files in the same places)
#
Summary:	Text based browser for the world wide web
Summary(de.UTF-8):	Text-Browser für das WWW
Summary(es.UTF-8):	Navegador web modo texto
Summary(fr.UTF-8):	Navigateur en mode texte pour le world wide web
Summary(ja.UTF-8):	テキストベースのウェブブラウザ
Summary(pl.UTF-8):	Przeglądarka WWW pracująca w trybie tekstowym
Summary(pt_BR.UTF-8):	Navegador web modo texto
Summary(tr.UTF-8):	Metin ekranda WWW tarayıcı
Name:		lynx
Version:	2.9.2
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	https://invisible-mirror.net/archives/lynx/tarballs/%{name}%{version}.tar.bz2
# Source0-md5:	3ce01505e82626ca4d7291d7e649c4c9
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	b5e02f86a8ee7bce4d8b97e4b6491714
Patch0:		%{name}-pld.patch
Patch1:		%{name}.cfg.patch
Patch2:		%{name}-po_DESTDIR.patch
Patch3:		%{name}-config.hin.patch

Patch5:		%{name}-config.patch

Patch7:		%{name}-gzip_fallback.patch
Patch8:		%{name}-etc_dir.patch
URL:		https://lynx.invisible-island.net/
BuildRequires:	autoconf-dickey >= 2.52-0.20231210
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-tools
BuildRequires:	libbrotli-devel
BuildRequires:	libidn2-devel >= 2
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
#BuildRequires:	socks5-devel
BuildRequires:	zlib-devel
Provides:	webclient
Obsoletes:	lynx-ssl < 2.8.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de.UTF-8
Dies ist ein WWW-Browser auf Terminal-Basis. Während kein Versuch
unternommen wird, Grafiken darzustellen, so bietet er doch guten
Support für HTML-Textformatierung, Formulare und Tabellen.

%description -l es.UTF-8
Este es un browser WWW para terminal en modo texto. Mientras no hace
ningún intento de enseñar gráficos, posee un buen soporte para el
formato de texto HTML, formularios y tablas.

%description -l fr.UTF-8
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien gérer le formatage HTML du texte, les formulaires et les
tableaux.

%description -l ja.UTF-8
lynx はテキストベースのウェブブラウザである。lynx は何のイメージも
表示しないがフレーム、テーブルそして他の HTML タグをサポートする。
グラフィカルなブラウザに対する lynx のアドバンテージはスピードである。
lynx はウェブページを表示するのにすばやく即座に開始したり終了したりする。

この速い、グラフィカルでないブラウザを試したければインストールしなさい。
(その長所のよさがわかるであろう)

%description -l pl.UTF-8
Lynx jest przeglądarką WWW działającą w trybie tekstowym. Dobrze
formatuje tekst w HTML, ale nie pozwala na wyświetlanie grafiki.

%description -l pt_BR.UTF-8
Este é um browser WWW para terminal em modo texto. Enquanto ele não
faz nenhuma tentativa para mostrar gráficos, possui um bom suporte
para o formato de texto HTML, formulários e tabelas.

%description -l tr.UTF-8
Metin ekranda çalışan bir WWW tarayıcıdır. Şekil gösteremese de,
formlar ve tablolar için desteği vardır.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%patch5 -p1

%patch7 -p1
%patch8 -p1

%build
cp /usr/share/automake/config.sub .
autoconf-dickey
%configure \
	--with-screen=ncursesw \
	--without-included-gettext \
	--with-bzlib \
	--with-zlib \
	--with-ssl \
	--enable-justify-elts \
	--enable-nested-tables \
	--enable-read-eta \
	--enable-kbd-layout \
	--enable-addrlist-page \
	--enable-cgi-links \
	--enable-default-colors \
	--enable-file-upload \
	--enable-exec-links \
	--enable-exec-scripts \
	--enable-externs \
	--enable-gzip-help \
	--enable-internal-links \
	--enable-ipv6 \
	--enable-nls \
	--enable-nsl-fork \
	--enable-persistent-cookies \
	--enable-prettysrc \
	--enable-source-cache \
	--enable-warnings
#	--with-socks5=%{_prefix} \
#	--enable-color-style \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/lynx/help

%{__make} install install-help \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES COPYHEADER PROBLEMS README samples test docs/README*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lynx.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lynx.lss
%attr(755,root,root) %{_bindir}/lynx
%{_datadir}/lynx
%{_desktopdir}/lynx.desktop
%{_pixmapsdir}/lynx.png
%{_mandir}/man1/lynx.1*
%lang(cs) %{_mandir}/cs/man1/lynx.1*
%lang(fi) %{_mandir}/fi/man1/lynx.1*
%lang(pl) %{_mandir}/pl/man1/lynx.1*
%changelog
* Sat Oct 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lynx.git;a=log;h=master

* Sat Oct 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 554c1e1
- updated to 2.9.2

* Mon Oct 04 2021 Jan Palus <atler@pld-linux.org> 2c79326
- remove CVE-2008-4690 patch dropped from spec in 8c36682

* Mon Oct 04 2021 Jan Palus <atler@pld-linux.org> 92cdea7
- rediff patches; rel 3

* Mon Aug 24 2020 Jakub Bogusz <qboosh@pld-linux.org> e12dcaa
- verbose man files, BR: libidn-devel

* Fri Nov 23 2018 Jan Rękorajski <baggins@pld-linux.org> a47759b
- rebuild with libidn 1.35
- release 2 (by relup.sh)

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dba916
- up to 2.8.9rel.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 60105c8
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 479bf60
- x32 rebuild
- release 4 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 4d335f5
- fix format string errors

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 376b6df
- updated gettext BR

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> eede2de
- release 3

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> f3f6fbd
- BR: pkgconfig

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 9a4e7c4
- rel 2

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> 9e4e97e
- BR: sed (used by build scripts)

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> 5ec5a24
- up for 2.8.7rel.2

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> 9a206e9
- 2.8.7rel.2
- patches updated

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fdcfb50
- release 3

* Fri Oct 16 2009 Elan Ruusamäe <glen@pld-linux.org> 9434594
- unify desktop with iceweasel; rel 2

* Fri Oct 16 2009 Elan Ruusamäe <glen@pld-linux.org> a770eda
- unify desktop with iceweasel

* Tue Jul 07 2009 lisu <lisu@pld-linux.org> 01c77c5
- trigger for CVE-2008-4690 is no longer needed. removed

